# -*- perl -*-

# Exim::LocalScan - Support stuff for local_scan.
# Copyright (C) 2000 Bibliotech Ltd., Unit 2-3, 50 Carnwath Road,
# London, SW6 3EG, United Kingdom.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

=pod

=head1 NAME

Exim::LocalScan - Support stuff for the exim local_scan functrion that
runs perl scripts

=head1 SYNOPSIS

use Exim::LocalScan;

=head1 DESCRIPTION

C<Exim::LocalScan> provides some constants and functions to support
the local_scan plugin for exim that runs a perl script.

=cut

package Exim::LocalScan;
require Exporter;

use strict;
use vars qw (@ISA @EXPORT $VERSION $sender_address $interface_address);
use vars qw ($interface_port $received_protocol $recipients_count);
use vars qw ($sender_host_address $sender_host_authenticated $return_text);
use vars qw ($sender_host_name $sender_host_port @header_list @recipients_list);

@ISA       = qw (Exporter);
@EXPORT    = qw ($sender_address $interface_address $interface_port $received_protocol $recipients_count $sender_host_address $sender_host_authenticated $sender_host_name $sender_host_port @header_list @recipients_list LOCAL_SCAN_ACCEPT LOCAL_SCAN_REJECT LOCAL_SCAN_TEMPREJECT $return_text);

$VERSION = "0.1";

sub LOCAL_SCAN_ACCEPT { return 0; }
sub LOCAL_SCAN_REJECT { return 3; }
sub LOCAL_SCAN_TEMPREJECT { return 5; }
